# 介绍
这是一个基于nodemailer用于nodejs发送邮件的依赖包，将需要参数合并到了一起，使用更便捷。
# 使用
 两个入参：
 - 一个**参数对象**，params，定义一些发送配置。
 - 一个**回调函数**，result值为Boolean类型，判断是否发送成功。
```javascript
//...
const sendMail = require('node-send-email')
//...
app.post('/api/email', async (req, res) => {
    //...
    const code = String(Math.floor(Math.random() * 1000000)).padEnd(6, '0') //生成随机验证码
    //发送邮件需要的入参
    const params = {
        // 邮箱类型，@qq.com就传qq，@163.com就是传163，不传的话默认为qq
        type:'qq',
        // 发件人
        name: '月亮',
        // 发件箱
        from: 'xxxxx@qq.com',
        // 发件箱smtp,邮箱—设置–账户–POP3/SMTP服务—开启—获取stmp授权码 
        smtp: 'xxxxxxxxx',
        // 发送的邮件主题
        subject: '验证码',
        // 收件人
        to: 'xxxxx@qq.com',
        // 邮件内容，HTML格式
        html: `
            <p>您好！</p>
            <p>您的验证码是：<strong style="color:orangered;">${code}</strong></p>
            <p>如果不是您本人操作，请无视此邮件</p>
        ` 
    };
    
    await sendMail(params, (result) => {
        if (result) {
            res.send({code: 1, msg: '发送验证码成功'})
        } else {
            res.send({code: 0, msg: '发送验证码失败，请稍后重试'})
        }
    })
});
```